defmodule DaProductApp.Repo.Migrations.ChangePayloadsToJsonInCustomEvents do
  use Ecto.Migration

  def up do
    execute("""
    ALTER TABLE custom_events
    MODIFY COLUMN payloads JSON NOT NULL
    """)
  end

  def down do
    execute("""
    ALTER TABLE custom_events
    MODIFY COLUMN payloads TEXT NOT NULL
    """)
  end
end
